<app-breadcrumb [items]='this.breadcrumbs'></app-breadcrumb>

<div class="form-buttons-top">
    <a mat-button color="primary" [routerLink]='["/projects"]'>
        <mat-icon>arrow_back</mat-icon> Back
    </a>
    @if (isEditMode)
    {
    <span class="spacer"> </span>
    <button mat-flat-button color="warn" data-test="project-delete" (click)="deleteProject($event)"
        [disabled]="isDisabled">
        <mat-icon>delete_forever</mat-icon>
        Delete</button>
    }
</div>


<form [formGroup]="projectForm" (ngSubmit)="saveProject()">

    <app-form-input
        label="Project Title"
        fieldName="title"
        dataTest="project-title"
        [control]="projectForm.controls.title"
        errorMessage="Please enter a valid project title."
        cssClass="full-width"
    ></app-form-input>

    <app-form-textarea
        label="Project Description"
        fieldName="description"
        dataTest="project-description"
        [control]="projectForm.controls.description"
        errorMessage=""
        cssClass="full-width"
    ></app-form-textarea>

    <app-form-datepicker        
        label="Start Date"
        fieldName="startDate"
        dataTest="project-startDate"
        [control]="projectForm.controls.startDate"
        errorMessage="Please enter a valid project start date."
        cssClass=""
    ></app-form-datepicker>

    <app-form-datepicker        
        label="End Date"
        fieldName="endDate"
        dataTest="project-endDate"
        [control]="projectForm.controls.endDate"
        errorMessage="Please enter a valid project end date."
        cssClass=""
    >
        <mat-error class="date-range-error"
            *ngIf="(projectForm.controls.endDate?.invalid && projectForm.controls.endDate?.touched) && projectForm.controls.endDate?.hasError('dateRangeInvalid')">
            End Date must be after Start Date.
        </mat-error>
    </app-form-datepicker>


    <app-form-select        
        label="Status"
        fieldName="status"
        dataTest="project-status"
        [control]="projectForm.controls.status"
        errorMessage="Please enter a valid project status."
        cssClass="full-width"
        [dropdownOptions]='statusOptions'
    ></app-form-select>

    <div class="form-buttons">
        <button mat-raised-button color="primary" (click)="cancelSave($event)" data-test="project-cancel"
            [disabled]="isDisabled">Cancel</button>
        <button mat-flat-button color="primary" type="submit" data-test="project-save"
            [disabled]="isSaveDisabled">Save</button>
        @if (isEditMode)
        {
        <span class="spacer"> </span>
        <button mat-flat-button color="secondary" data-test="project-view-tasks" (click)="viewTasks($event)"
            [disabled]="isDisabled">
            <mat-icon>checklist_rtl</mat-icon>
            Project Tasks</button>
        }
    </div>
</form>